# $Revision: 1.32 $, $Date: 2004/08/04 06:23:11 $
#
# Conditional build:
%bcond_without	alsa	# without ALSA support
%bcond_without	esd	# without EsounD support
%bcond_without	jack	# without JACK support
%bcond_with	gnome	# GNOME 1.x-based GUI instead of plain GTK+1
#
%if %{without alsa}
%undefine	with_jack
%endif
Summary:	Soundtracker - music editor for xm/mod formats
Summary(pl):	Soundtracker - program do komponowania muzyki w formatach xm/mod
Name:		soundtracker
Version:	0.6.7
Release:	5
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://www.soundtracker.org/dl/v0.6/%{name}-%{version}.tar.gz
# Source0-md5:	9a5685e0a79fb10066d29baed652d324
Patch0:		%{name}-no_chmod.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-locale_names.patch
Patch3:		%{name}-po.patch
URL:		http://www.soundtracker.org/
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9.0}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_esd:BuildRequires:	esound-devel >= 0.2.8}
BuildRequires:	gdk-pixbuf-devel >= 0.8.0
BuildRequires:	gettext-devel
%{?with_gnome:BuildRequires:	gnome-libs-devel}
BuildRequires:	gtk+-devel >= 1.2.2
%{?with_jack:BuildRequires:	jack-audio-connection-kit-devel}
BuildRequires:	libsndfile-devel >= 1.0.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SoundTracker is a pattern-oriented music editor (similar to the DOS
program 'FastTracker'). Samples are lined up on tracks and patterns
which are then arranged to a song. Supported module formats are XM and
MOD; the player code is the one from OpenCP. A basic sample recorder
and editor is also included.

%description -l pl
SoundTracker jest edytorem plikw muzycznych podobnym do znanego spod
DOS programu FastTracker. Sample s rozmieszczane na ciekach i
szablonach, ktre s ukadane w utwory. Edytor obsuguje formaty XM i
MOD. Kod odtwarzacza pochodzi z OpenCP. Zaczony jest prosty edytor
i program do nagrywania sampli.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

mv -f po/{no,nb}.po

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_alsa:--disable-alsa} \
	%{!?with_esd:--disable-esd} \
	%{!?with_jack:--disable-jack} \
	%{!?with_gnome:--disable-gnome} \
%ifnarch %{ix86}
	--disable-asm
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	utildir=%{_desktopdir}

install soundtracker.desktop $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name} %{?with_gnome:--with-gnome}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS FAQ NEWS TODO README ChangeLog doc/x[im].txt
%attr(755,root,root) %{_bindir}/*
%{_datadir}/soundtracker
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: soundtracker.spec,v $
Revision 1.32  2004/08/04 06:23:11  ankry
- i18n fixes (-po patch), rel. 5

Revision 1.31  2004/07/26 09:40:51  ankry
- no -> nb (-locale_names patch), rel. 4

Revision 1.30  2004/07/14 08:28:50  ankry
- updated -desktop patch, rel. 3

Revision 1.29  2004/07/04 21:28:42  havner
- applnk -> vfolders

Revision 1.28  2004/01/18 01:17:57  qboosh
- updated to 0.6.7, new Source0 URL
- updated no_chmod patch, removed obsolete acfix,am_fix patches
- new-style bconds, disabled GNOME by default (GNOME 1.x only)

Revision 1.27  2003/10/04 13:44:16  gotar
- unified bconds

Revision 1.26  2003/05/28 13:02:00  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:26:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/02/02 15:56:05  qboosh
- BR: gasp on x86

Revision 1.23  2003/01/18 22:56:20  juandon
- removed two lines with define

Revision 1.22  2002/12/28 01:38:10  qboosh
- use new Group: X11/Applications/Sound

Revision 1.21  2002/10/09 13:14:48  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.20  2002/08/14 11:45:18  qboosh
- fixed broken am_fix patch - asm builds now on Ra/x86
- release 2

Revision 1.19  2002/08/12 20:25:41  qboosh
- fixed %%install, added missing splash screen
- temporarily added bcond for asm - it builds for me, need to check in Ra env.

Revision 1.18  2002/08/11 23:17:20  marcus
- desktop file is not only for gnome

Revision 1.17  2002/08/11 22:52:17  mmazur
- had to --disable-asm for it to build on x86... go figure

Revision 1.16  2002/08/11 21:00:02  mmazur
- updated to 0.6.6; rel1; STBR
- use new %%doc

Revision 1.15  2002/07/22 14:36:30  marcus
- start fixing for ppc

Revision 1.14  2002/06/23 20:52:53  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.13  2002/05/21 23:14:46  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.11  2002/03/06 09:12:48  jack
- Updated to 0.6.4 - builds and works ok
- Cosmetics in summary

Revision 1.10  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:15:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/10/17 21:44:34  qboosh
- ac-2.52/am-1.5 ready: changed no_chmod patch, added acfix patch
- release 3

Revision 1.6  2001/05/22 09:06:52  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.5  2001/03/03 07:28:18  kloczek
- adapterized and few small cosmetics.

Revision 1.4  2001/03/03 00:27:24  qboosh
- added descriptions
- aclocal/autoconf/automake -a -c (necessary with new automake)
- release 2

Revision 1.3  2001/01/09 17:52:00  qboosh
- update to 0.6.2
- bconds: off_gnome, off_esound

Revision 1.2  2000/09/06 22:02:58  klakier
- fixed .desktop location
- added ExclusiveArch

Revision 1.1  2000/09/06 17:57:08  klakier
- initial version
